/**
 * Exactag Tagmanagement Mechanism
 *
 * @copyright Exactag GmbH, Düsseldorf, Germany
 * @author Peter Viergutz
 *
 */

(function (d) {
    var P9da797116f3a435ea85ba96b0f426271 = {
        version: "3.0.20190101",
        root:null,
        processed: false,
        doc:null,
        element:"iframe",
        testmode: false,
        uk: "03221dc3f2e3488ab348efebbda0e9a1",
        gk: "aa40fa19f43e4aceb1097bfc1e8c9300|22.02.2023 22:38:45",
        cookiemode: "set",
        cookiedomain: "vodafone.de",
        isSecure: false,
        isSameSite: false,
        nfifHost: "//m.exactag.com",
        pixels:[],
        pushPixel: function(pixel){
            if(this.testmode) return;
            this.pixels.push(pixel);
        },
        deliver:function () {
            var root = d.createElement(this.element);
            d.getElementsByTagName('body')[0].appendChild(root);
            root.style.cssText = "position:absolute; z-index:-1; width:0px; height:0px; overflow: hidden; border: 0;";
            root.tabindex = "-1";
            root.srcDoc='<!DOCTYPE html><html><head></head><body></body></html>';
            root.onload = this.createDelegate(this, this.processPixels);
            this.root = this.getDocument(root);
            try {
                this.root.open();
                try {
                    this.root.write('<!DOCTYPE html><html><head></head><body></body></html>');
                }
                catch {}
                this.root.close();
                window.setTimeout(this.createDelegate(this, this.processPixels), 250);
            } catch (e) {
                console.log("TagManager: cannot access root element");
            }

            if (this.uk != "" && this.cookiemode == "set") {
                var cookiedomain = "", hostname = this.root.location.hostname;
                if (this.cookiedomain != "" && hostname.indexOf(this.cookiedomain) > -1) {
                    cookiedomain = this.cookiedomain;
                    // clear legacy cookie (without domain)
                    this.setCookie("et_uk", null, -1);
                }

                this.setCookie("et_uk", this.uk, 180, cookiedomain, this.isSecure, this.isSameSite);
            }

            if (this.gk != "" && this.cookiemode == "set") {
                var cookiedomain = "", hostname = this.root.location.hostname;
                if (this.cookiedomain != "" && hostname.indexOf(this.cookiedomain) > -1) {
                    cookiedomain = this.cookiedomain;
                    // clear legacy cookie (without domain)
                    this.setCookie("et_gk", null, -1);
                }

                this.setCookie("et_gk", this.gk, 90, cookiedomain, this.isSecure, this.isSameSite);
            }
        },
        processPixels:function () {
            if(this.processed) return;
            this.processed = true;

            try {

                var is_chrome = window.chrome || false;
                var chrome_version = 0;
                if(is_chrome) {
                    chrome_version = parseInt(window.navigator.appVersion.match(/Chrome\/(\d+)\./)[1], 10);
                }

            } catch(e){}

            for (var i = 0; i < this.pixels.length; i++) {
                var pixel = this.pixels[i];
                try {

                    var leaf = this.root.createElement(this.element);
                    this.root.getElementsByTagName('body')[0].appendChild(leaf);

                    if(pixel.mode == "fif"){

                        doc = this.getDocument(leaf);

                        try {
                            if ((is_chrome && chrome_version >= 42) || pixel.ttl > 0) {

                                (function (doc, pixel) {
                                    window.setTimeout(function () {
                                        doc.close();
                                    }, (pixel.ttl > 0 ? pixel.ttl : 3000));
                                })(doc, pixel);

                            }
                        } catch (e) {
                            console.log("TagManager: unable to close document for pixelId " + pixel.pixelid);
                        }

                        doc.open();
                        doc.write(pixel.code);

                    } else if(pixel.mode == "nfif"){

                        leaf.setAttribute("src", this.nfifHost+"/px.aspx?id="+pixel.id);

                    } else if(pixel.mode == "jfif"){

                        leaf.contentWindow['code'] = pixel.code;
                        leaf.setAttribute("src", 'javascript:window["code"];');
                    } else {
                        console.log("TagManager: unknown delivery mode: " + pixel.mode);
                    }

                } catch (e) {
                    console.log("TagManager: cannot deliver pixel " + pixel.code);
                }
            }
        },
        getDocument:function (obj) {
            var doc = null;
            try {
                doc = obj.contentDocument ? obj.contentDocument : (obj.contentWindow.document || obj.document);
            } catch (e) {
                console.log("TagManager: plan b in effect");
                obj.src = 'javascript:(function(){document.open();document.domain="' + document.domain + '";})()';
                doc = obj.contentDocument ? obj.contentDocument : (obj.contentWindow.document || obj.document);
            }
            return doc;
        },
        createDelegate:function (object, method) {
            return function () {
                method.apply(object, arguments);
            }
        },
        setCookie: function (name, value, days, hostname, isSecure, isSameSite) {
            var expires = "", domain = "", cookie, secure = "", sameSite = "";
            if (days) {
                var date = new Date();
                date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
                expires = "; expires=" + date.toGMTString();
            }

            if (hostname) {
                domain = "; domain=." + hostname;
            }

            if (isSecure) {
                secure = "; secure ";
            }

            if (isSameSite) {
                sameSite = "; SameSite = strict ";
            }

            cookie = name + "=" + value + expires + domain + "; path=/" + secure + sameSite;
            document.cookie = cookie;
        }

    };

    if (typeof console == "undefined") {
        var console = {};
        console.log = function () {
        };
    }

        P9da797116f3a435ea85ba96b0f426271.pushPixel({code:"\u003c!DOCTYPE html\u003e\r\n\u003chtml lang=\"de\"\u003e\r\n\u003chead\u003e\r\n\u003cmeta charset=\"utf-8\"\u003e\r\n\u003ctitle\u003eExactag Iframe\u003c/title\u003e\r\n\u003c/head\u003e\r\n\u003cbody\u003e\r\n\u003cscript type=\"text/javascript\"\u003e  if(\"0\" == \"1\") (new Image).src = \"https://cm.g.doubleclick.net/pixel?google_nid=exactag_adh\u0026google_hm=MDMyMjFkYzNmMmUzNDg4YWIzNDhlZmViYmRhMGU5YTE\u0026google_cm\";  \u003c/script\u003e\r\n\u003c/body\u003e\r\n\u003c/html\u003e" , mode:"fif" , ttl:0 , pixelid: 28027 });



    P9da797116f3a435ea85ba96b0f426271.deliver();

})(document);

/*

 

 

 

 
 */